ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From h..@uni.de
Subject Libjvm.so not found
Date Tue, 06 Oct 2015 15:14:35 GMT
Dear all,

after having upgraded Ambari 2.0 to 2.1 we tried to upgrade the HDP
Stack from 2.2 to 2.3.

The installation process stalled while upgrading the existing packages
with the following error:

Fail: Execution of '/usr/bin/zypper --quiet install
--auto-agree-with-licenses --no-confirm --repo HDP-2.3.0.0-2557 --repo
HDP-UTILS-2.3.0.0-2557 'hadooplzo_2_3_0_0_2557*'' returned 4. Problem:
nothing provides libjvm.so()(64bit) needed by
hadooplzo_2_3_0_0_2557-native-0.6.0.2.3.0.0-2557.x86_64
Solution 1: do not install
hadooplzo_2_3_0_0_2557-native-0.6.0.2.3.0.0-2557.x86_64
Solution 2: break
hadooplzo_2_3_0_0_2557-native-0.6.0.2.3.0.0-2557.x86_64 by ignoring
some of its dependencies

I discovered a Jira issue
(https://issues.apache.org/jira/browse/AMBARI-9951) stating the exact
same problem, but showing it as "Fixed" in 2.0.0 already!

We already tried symlinking the libjvm.so to /usr/lib64; /usr/lib and
/lib64 - without any success.

OS: Suse 11 SP3

Could anybody provide any help with this issue?

Greetings
- Seb

Mime
View raw message